For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GithubSign up
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
  • API Reference
          • GETLast seen
          • GETData points
          • POSTMark outliers
          • GETLast seen (public)
          • GETData points (public)
LogoLogo
GithubSign up
API ReferenceTrackingTimeseriesCargo by Device

Mark outliers

POST
/tracking/timeseries/cargo_by_device/outlier/v1
POST
/tracking/timeseries/cargo_by_device/outlier/v1
1import { ChrtClient } from "@chrt-inc/typescript-sdk";
2
3async function main() {
4 const client = new ChrtClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.tracking.timeseries.cargoByDevice.outlierV1({
8 tracking_cargo_by_device_data_point_ids: [
9 "d3f1a9b2-7c4e-4a1f-9b8e-2f3c5d6e7a8b",
10 "a7c9e8d4-1b2f-4c3d-9e0a-5f6b7c8d9e0f",
11 ],
12 outlier: true,
13 });
14}
15main();
1{
2 "successful_updates": 2,
3 "failed_updates": 0
4}

Marks data points as outliers or non-outliers. Uses atomic delete and reinsert strategy for time-series collection updates. | auth: api_key | authz: allowed_org_types=[shipper, provider], min_org_role=operator | (CargoByDeviceMarkOutliersRequest1) -> (CargoByDeviceMarkOutliersResponse1)

Was this page helpful?
Previous

Last seen (public)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
tracking_cargo_by_device_data_point_idslist of stringsRequired
outlierbooleanRequired

Response

Successful Response
successful_updatesinteger
failed_updatesinteger

Errors

422
Cargo by Device Outlier V1request Unprocessable Entity Error